Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ServantRetentionPolicy Interface Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ServantRetentionPolicy:

[legend]
Collaboration diagram for PortableServer::ServantRetentionPolicy:

[legend]
List of all members.

## Public Types
typedef ServantRetentionPolicy_ptr | _ptr_type
typedef ServantRetentionPolicy_var | _var_type
## Public Methods
virtual::PortableServer::ServantRetentionPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
ServantRetentionPolicy_ptr | _duplicate (ServantRetentionPolicy_ptr obj)
ServantRetentionPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServantRetentionPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServantRetentionPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute ServantRetentionPolicyValue | value
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| ServantRetentionPolicy (void)
virtual | ~ServantRetentionPolicy (void)
## Private Methods
| ServantRetentionPolicy (const ServantRetentionPolicy &)
void | operator= (const ServantRetentionPolicy &)

## Member Typedef Documentation

typedef ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ServantRetentionPolicy_var PortableServer::ServantRetentionPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::ServantRetentionPolicy::ServantRetentionPolicy | ( | void |  | ) | `[protected]`

virtual PortableServer::ServantRetentionPolicy::~ServantRetentionPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantRetentionPolicy::ServantRetentionPolicy | ( | const ServantRetentionPolicy & |  | ) | `[private]`

## Member Function Documentation

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_duplicate | ( | ServantRetentionPolicy_ptr | obj | ) | `[static]`

virtual const char* PortableServer::ServantRetentionPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

virtual void* PortableServer::ServantRetentionPolicy::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

void PortableServer::ServantRetentionPolicy::operator= | ( | const ServantRetentionPolicy & |  | ) | `[private]`

virtual ::PortableServer::ServantRetentionPolicyValue PortableServer::ServantRetentionPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_Servant_Retention_Policy.

## Member Data Documentation

int PortableServer::ServantRetentionPolicy::_tao_class_id`[static]`

| Reimplemented from CORBA::Policy.

readonly attribute ServantRetentionPolicyValue PortableServer::ServantRetentionPolicy::value

The documentation for this interface was generated from the following files:

- PortableServer.pidl
- PortableServerC.h